Drop-in Replacement
CompatibleOpenAI మరియు Anthropic SDKలతో పని చేస్తుంది. Base URL మార్చితే చాలు.
అన్ని భాషలు సమానమే. మీరు ఉపయోగించాలనుకునే భాషను ఎంచుకోండి.
Function calling, web search, structured outputs తో OpenAI మరియు Anthropic compatible AI API.
Shannon యొక్క OpenAI మరియు Anthropic compatible API తో ప్రారంభించడానికి అవసరమైన అన్నీ.
https://api.shannon-ai.com/v1/chat/completions Chat Completions API ని function calling మరియు streaming తో ఉపయోగించండి.
https://api.shannon-ai.com/v1/messages Claude Messages ఫార్మాట్, టూల్స్ మరియు anthropic-version హెడ్డర్తో.
Authorization: Bearer <api-key> లేదా Claude style calls కోసం X-API-Key + anthropic-version.
పబ్లిక్ డాక్స్ - కాల్ చేయడానికి కీ అవసరం స్ట్రీమింగ్, function calling, structured outputs, web search.
OpenAI మరియు Anthropic APIలకు drop-in replacement; టూల్స్, structured outputs, built-in web search సపోర్ట్.
OpenAI మరియు Anthropic SDKలతో పని చేస్తుంది. Base URL మార్చితే చాలు.
టూల్స్ ని నిర్వచించి Shannon వాటిని కాల్ చేయనివ్వండి. auto, forced, none మోడ్లు సపోర్ట్ చేయబడతాయి.
సోర్స్ citations తో రియల్టైమ్ వెబ్ సెర్చ్. ఆటోమేటిక్గా అందుబాటులో ఉంటుంది.
నమ్మదగిన డేటా ఎక్స్ట్రాక్షన్ కోసం JSON mode మరియు JSON Schema enforce.
ఆటోమేటిక్ ఫంక్షన్ ఎగ్జిక్యూషన్ లూప్స్. ప్రతి రిక్వెస్ట్కు 10 iterations వరకు.
Real-time token streaming కోసం Server-sent events.
మూడు దశల్లో ప్రారంభించండి. Shannon OpenAI మరియు Anthropic క్లయింట్స్ను ప్రతిబింబిస్తుంది.
OpenAI-compatible endpoint ఉపయోగించండి.
https://api.shannon-ai.com/v1/chat/completions Authorization హెడ్డర్లో Bearer auth వాడండి.
ఒక భాషను ఎంచుకొని మీ కీని మార్చండి.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} Shannon API ని మీ బ్రౌజర్లో నేరుగా పరీక్షించండి. రిక్వెస్ట్ నిర్మించి, రన్ చేసి, రియల్టైమ్ రెస్పాన్స్ చూడండి.
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/te/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
ప్రతి API రిక్వెస్ట్కు మీ Shannon API కీ ద్వారా ఆథెంటికేషన్ అవసరం.
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon వేర్వేరు ఉపయోగాల కోసం ఆప్టిమైజ్ చేసిన ఎన్నో మోడల్స్ను అందిస్తుంది.
shannon-1.6-lite Shannon 1.6 Lite దైనందిన పనుల కోసం వేగవంతమైన, సమర్థవంతమైన ప్రతిస్పందనలు
shannon-1.6-pro Shannon 1.6 Pro సంక్లిష్ట సమస్యలకు అడ్వాన్స్డ్ రీజనింగ్
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder Claude Code CLI కోసం కాల్-ఆధారిత కోటాతో ఆప్టిమైజ్ చేయబడింది
Shannon చేయగల చర్యలు లేదా సమాచారం తెచ్చేందుకు టూల్స్ని నిర్వచించండి.
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" మోడల్ ఫంక్షన్ను కాల్ చేయాలా లేదా నిర్ణయిస్తుంది (డిఫాల్ట్) "none" ఈ రిక్వెస్ట్ కోసం function calling ని నిలిపివేయండి {"type": "function", "function": {"name": "..."}} ఒక నిర్దిష్ట ఫంక్షన్ కాల్ను బలవంతం చేయండి {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} మీ schema కు సరిపోయే valid JSON ను Shannon నుండి పొందడానికి బలవంతం చేయండి.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} valid JSON output ను బలవంతం చేయండి (specific schema లేకుండా) {"type": "json_schema", "json_schema": {...}} మీ schema కు సరిపోయే output ను బలవంతం చేయండి Server-Sent Events తో రియల్-టైమ్ టోకెన్ స్ట్రీమింగ్ను ఎనేబుల్ చేయండి.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon లో ఆటోమేటిక్గా అందుబాటులో ఉండే web_search ఫంక్షన్ ఉంటుంది.
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon Anthropic Messages API ఫార్మాట్ను కూడా సపోర్ట్ చేస్తుంది.
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); ఏ OpenAI లేదా Anthropic SDK అయినా వాడండి — base URL ని మాత్రమే మార్చండి.
Official OpenAI Python SDK — Shannon తో పనిచేస్తుంది
pip install openai Official OpenAI Node.js SDK — Shannon తో పనిచేస్తుంది
npm install openai OpenAI-compatible API ల కోసం కమ్యూనిటీ Go క్లయింట్
go get github.com/sashabaranov/go-openai OpenAI-compatible API ల కోసం కమ్యూనిటీ Ruby క్లయింట్
gem install ruby-openai OpenAI-compatible API ల కోసం కమ్యూనిటీ PHP క్లయింట్
composer require openai-php/client OpenAI-compatible API ల కోసం Async Rust క్లయింట్
cargo add async-openai Official Anthropic Python SDK — Shannon తో పనిచేస్తుంది
pip install anthropic Official Anthropic TypeScript SDK — Shannon తో పనిచేస్తుంది
npm install @anthropic-ai/sdk Shannon స్టాండర్డ్ HTTP status codes ఉపయోగించి వివరమైన ఎరర్ మెసేజ్లు ఇవ్వుతుంది.
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API కు సంబంధించిన తాజా అప్డేట్లు మరియు మెరుగుదలలు.
YOUR_API_KEY మీ API కీని గోప్యంగా ఉంచండి. Regenerate చేస్తే కొత్త కీ సృష్టించబడుతుంది మరియు పాతది అమాన్యం అవుతుంది.
సైన్ ఇన్ అయినప్పుడు టోకెన్ మరియు సెర్చ్ వినియోగాన్ని ఈ పేజీలో చూడండి.
Shannon Coder (shannon-coder-1) కోసం call-based quota. ప్రతి 4 గంటలకు రీసెట్ అవుతుంది.
మీ API కీ పొందండి మరియు Shannon AI తో ఇవాళే ప్రారంభించండి.
ప్రముఖ శోధనలు: